PHP Manual
Prev |  | Next

# SAMConnection->disconnect()

(no version information, might be only in CVS)

SAMConnection->disconnect() -- Disconnects from a Messaging Server

## Description

class SAMConnection {
bool disconnect ( void )
}

Calling the "disconnect" method on a SAMConnection object disconnects the PHP script from a messaging server. No messages can be sent or received after a connection has been disconnected.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. Disconnecting from a Messaging Server

`<?php $conn->disconnect(); ?>`

## See Also

SAMConnection->isConnected()
SAMConnection->connect()

Prev | Home | Next
SAMConnection->__construct() | Up | SAMConnection->errno